# class SS7Management | SS7 SNM implementation. More...
Full name | `TelEngine::SS7Management`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::Mutex [public ], TelEngine::SS7Layer4 [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SS7Management (const NamedList& params, unsigned char sio = SS7MSU::SNM|SS7MSU::National)

#### Protected Methods

- virtual HandledMSU receivedMSU (const SS7MSU& msu, const SS7Label& label, SS7Layer3* network, int sls)
- bool inhibit (const SS7Label& link, int setFlags, int clrFlags = 0)
- bool inhibited (const SS7Label& link, int flags)
- void recover (const SS7Label& link, int sequence)
- virtual void notify (SS7Layer3* link, int sls)
- virtual bool control (NamedList& params)
- virtual void timerTick (const Time& when)

## Detailed Description

Implementation of SS7 SNM User Part (Management) - Q.704

SS7Management (const NamedList& params, unsigned char sio = SS7MSU::SNM|SS7MSU::National) | ### SS7Management

Constructor

HandledMSU receivedMSU (const SS7MSU& msu, const SS7Label& label, SS7Layer3* network, int sls) | ### receivedMSU

[protected virtual]

Process a MSU received from a Layer 3 component

Parameters:

msu | Message data, starting with Service Indicator Octet
label | Routing label of the received MSU
network | Network layer that delivered the MSU
sls | Signalling Link the MSU was received from

Returns: Result of MSU processing

Reimplemented from SS7L3User.

bool inhibit (const SS7Label& link, int setFlags, int clrFlags = 0) | ### inhibit

[protected]

Set and clear inhibition flags on a link of a router attached network

Parameters:

link | Signalling Link to modify identified by a routing label
setFlags | Flag bits to set ORed together
clrFlags | Flag bits to clear ORed together (optional)

Returns: True if inhibition flags were set

bool inhibited (const SS7Label& link, int flags) | ### inhibited

[protected]

Check inhibition flags on a link of a router attached network

Parameters:

link | Signalling Link to check identified by a routing label
flags | Flag bits to check ORed together

Returns: True if any of the specified inhibition flags are set

void recover (const SS7Label& link, int sequence) | ### recover

[protected]

Recover MSUs from a link

Parameters:

link | Signalling Link to recover identified by a routing label
sequence | Starting sequence number to recover

void notify (SS7Layer3* link, int sls) | ### notify

[protected virtual]

Process a notification generated by the attached network layer

Parameters:

link | Network or linkset that generated the notification
sls | Signallink Link that generated the notification, negative if none

Returns: True if notification was processed

Reimplemented from SS7L3User.

bool control (NamedList& params) | ### control

[protected virtual]

Query or modify the management settings or operational parameters

Parameters:

params | The list of parameters to query or change

Returns: True if the control operation was executed

Reimplemented from SignallingComponent.

void timerTick (const Time& when) | ### timerTick

[protected virtual]

Method called periodically by the engine to retransmit messages

Parameters:

when | Time to use as computing base for timers

Reimplemented from SignallingComponent.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.